:PROPERTIES:
:ID:       e030708c-7c47-4811-b54e-6177d7c20fc1
:END:
#+TITLE: St. George
#+FILETAGS: @personal
#+DATE: [2023-08-10 Thu 08:11]

As a god-like state of being, I envy man, for man is a pathetic mortal. I miss it, and it makes me jealous

Saucerful of Secrets, Ummagumma live album, January 3, 1999.

This was a Ramadhan day. I had just had a huge fight with Ahmad. I was crying. I was reading Autobiography of a Yogi. I left home breakfast time with two bananas in my pockets. I ate one, and refrained from giving the other to a homeless man in Sayyida Eisha. I walked from home to Labib's, bought a bottle of orange juice from Mobil petrol station in Agouza, on the courniche.


